require 'rails/generators'

module Bootstrap
  module Generators
    class InstallGenerator < Rails::Generators::Base
      desc "This generator load bootstrap into the application.css and application.js"

      def load_bootstrap
        inject_into_file "app/assets/javascripts/application.js", "//= require bootstrap\n", before:  "//= require_tree"
        inject_into_file 'app/assets/stylesheets/application.css', "*= require bootstrap\n", before: "*= require_self"
      end
    end
  end
end
